Page MenuHomePhabricator

Layout glitches when the dashboard header becomes sticky
Closed, DuplicatePublic

Description

Suggestions can be a long list. When users scroll, the header becomes sticky to the top. However the change in the display mode results in (a) a jump in the content (we used an additional top padding to compensate for the elements that become "fixed" positioned), and (b) the language selector expands with no margin around it.

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterDashboard: Avoid the list jump when the translation filter is sticky

Event Timeline

Pginer-WMF raised the priority of this task from to Needs Triage.
Pginer-WMF updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 22 2015, 6:48 AM

Change 240682 had a related patch set uploaded (by Santhosh):
Dashboard: Avoid the list jump when the translation filter is sticky

https://gerrit.wikimedia.org/r/240682

santhosh claimed this task.Sep 25 2015, 5:23 AM
santhosh added a project: LE-CX6-Sprint break.
santhosh set Security to None.

Change 240682 merged by jenkins-bot:
Dashboard: Avoid the list jump when the translation filter is sticky

https://gerrit.wikimedia.org/r/240682

santhosh moved this task from In Review to QA on the LE-CX6-Sprint break board.Sep 28 2015, 3:42 AM
Arrbee triaged this task as Low priority.Sep 28 2015, 7:05 AM
Arrbee added a subscriber: Arrbee.

Verified. The scrolling is pretty effortless without and random jumps and the language selector also has a margin below it.

Arrbee moved this task from QA to Done on the LE-CX6-Sprint break board.Sep 30 2015, 11:26 AM
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Oct 1 2015, 4:34 PM